package info.bukova.isspst.ui.reporting;

import info.bukova.isspst.reporting.ReportDefinition;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class OrderOptionsVM {
	
	private boolean printPrices;
	@WireVariable
	private ReportDefinition reportDefinition;
	
	@Init
	public void init() {
		printPrices = true;
		reportDefinition.setParam("SET_PRICES", true);
	}

	public boolean isPrintPrices() {
		return printPrices;
	}

	public void setPrintPrices(boolean printPrices) {
		this.printPrices = printPrices;
		reportDefinition.setParam("SET_PRICES", printPrices);
	}

}
